import { csv } from 'd3';

let dataArray=[];
csv('https://vizhub.com/curran/datasets/temperature-in-san-francisco.csv')
	.then( data => {
  	data.forEach(d => {
      d.timestamp = new Date(d.timestamp);
  		d.temperature = +d.temperature;
  	});
  dataArray=data;
});

export const getData = () => new Promise(resolve => {
  setTimeout(() => resolve(dataArray), 2000);
});

